[SOLVED] RosBE 2.1.1 can't install on Linux Mint 17.1

All development related issues welcome

Moderator: Moderator Team

Post Reply
eersoy93
Posts: 289
Joined: Mon Mar 19, 2012 11:24 pm
Location: Turkey
Contact:

[SOLVED] RosBE 2.1.1 can't install on Linux Mint 17.1

Post by eersoy93 » Sat Feb 14, 2015 10:53 am

The console output after sh RosBE-Builder.sh command is:

Code: Select all

RosBE-Builder.sh: 9: [: x: unexpected operator
RosBE-Builder.sh: 13: [: x: unexpected operator
RosBE-Builder.sh: 42: RosBE-Builder.sh: source: not found
RosBE-Builder.sh: 43: RosBE-Builder.sh: source: not found
*******************************************************************************
*         ReactOS Build Environment for Unix-based Operating Systems          *
*                      Builder Tool for the Base package                      *
*                      by Colin Finck <colin@reactos.org>                     *
*                                                                             *
*                                 Version 2.1.1                                 *
*******************************************************************************

This script compiles and installs a complete Build Environment for building
ReactOS.

RosBE-Builder.sh: 72: RosBE-Builder.sh: check_root: not found
RosBE-Builder.sh: 73: RosBE-Builder.sh: rs_check_requirements: not found
RosBE-Builder.sh: 79: RosBE-Builder.sh: rs_boldmsg: not found
In which directory do you want to install it?
Enter the path to the directory here or simply press ENTER to install it into the default directory.
[/usr/local/RosBE] 

The directory "/usr/local/RosBE" does not exist. The installation script will create it for you.

RosBE-Builder.sh: 189: RosBE-Builder.sh: rs_boldmsg: not found
Ready to build and install the ReactOS Build Environment.
Press Return to continue or Ctrl+C to exit.
RosBE-Builder.sh: 193: read: arg count
RosBE-Builder.sh: 230: RosBE-Builder.sh: rs_mkdir_if_not_exists: not found
RosBE-Builder.sh: 236: RosBE-Builder.sh: rs_redmsg: not found
eersoy93@Lenovo ~/Masaüstü/1 $ 
Thanks for replies.
Last edited by eersoy93 on Sun Feb 22, 2015 11:46 am, edited 1 time in total.
Turkish translator of ReactOS.

erkinalp
Posts: 843
Joined: Sat Dec 20, 2008 5:55 pm

Re: RosBE 2.1.1 can't install on Linux Mint 17.1

Post by erkinalp » Sat Feb 14, 2015 11:33 am

Replace /bin/sh by /bin/bash.
-uses Ubuntu+GNOME 3 GNU/Linux
-likes Free (as in freedom) and Open Source Detergents
-favors open source of Windows 10 under GPL2

eersoy93
Posts: 289
Joined: Mon Mar 19, 2012 11:24 pm
Location: Turkey
Contact:

Re: RosBE 2.1.1 can't install on Linux Mint 17.1

Post by eersoy93 » Sat Feb 14, 2015 6:47 pm

Code: Select all

eersoy93@Lenovo ~/Masaüstü/1 $ sudo bash RosBE-Builder.sh
*******************************************************************************
*         ReactOS Build Environment for Unix-based Operating Systems          *
*                      Builder Tool for the Base package                      *
*                      by Colin Finck <colin@reactos.org>                     *
*                                                                             *
*                                 Version 2.1.1                                 *
*******************************************************************************

This script compiles and installs a complete Build Environment for building
ReactOS.

Checking for the needed tools...
Checking for bison... OK
Checking for flex... OK
Checking for gcc... OK
Checking for g++... OK
Checking for grep... OK
Checking for makeinfo... OK
Checking for GNU Make... OK
Checking for libz.so... OK

Installation Directory
In which directory do you want to install it?
Enter the path to the directory here or simply press ENTER to install it into the default directory.
[/usr/local/RosBE] 

The directory "/usr/local/RosBE" does not exist. The installation script will create it for you.

Ready to start
Ready to build and install the ReactOS Build Environment.
Press Return to continue or Ctrl+C to exit.

Building...
Checking if the host compiler supports -march=native... yes
Running "gcc -s -o /usr/local/RosBE/bin/buildtime /home/eersoy93/Masaüstü/1/tools/buildtime.c"... OK
Running "gcc -s -o /usr/local/RosBE/bin/cpucount /home/eersoy93/Masaüstü/1/tools/cpucount.c"... OK
Running "gcc -s -o /usr/local/RosBE/bin/scut /home/eersoy93/Masaüstü/1/tools/scut.c"... OK
Extracting cmake... OK
Running "../cmake/bootstrap --prefix=/usr/local/RosBE --parallel=5"... OK
Running "/usr/bin/make -j 5"... OK
Running "/usr/bin/make install"... OK
Cleaning up cmake...
Extracting binutils... OK
Running "../binutils/configure --prefix=/usr/local/RosBE/i386 --with-sysroot=/usr/local/RosBE/i386 --target=i686-w64-mingw32 --disable-multilib --disable-werror --enable-lto --with-zlib=yes"... OK
Running "/usr/bin/make -j 5"... FAILED
Please take a look at the log file "/home/eersoy93/Masaüstü/1/sources/build.log"
If you did not do something wrong, please save the log file and contact the ReactOS Team.
Aborted!
eersoy93@Lenovo ~/Masaüstü/1 $ 
The build.log file is: http://www.sudrap.org/paste/text/523584/

Thanks for replies.
Turkish translator of ReactOS.

hto
Developer
Posts: 2193
Joined: Sun Oct 01, 2006 3:43 pm

Post by hto » Sun Feb 15, 2015 3:00 pm

eersoy93 wrote: checking for library containing zlibVersion... no
configure: error: zlib (libz) library was explicitly requested but not found
Install zlib1g-dev package.

eersoy93
Posts: 289
Joined: Mon Mar 19, 2012 11:24 pm
Location: Turkey
Contact:

Re: RosBE 2.1.1 can't install on Linux Mint 17.1

Post by eersoy93 » Sun Feb 22, 2015 11:46 am

RosBE has been installed and the shortcut has been created in my desktop at my computer.

Thanks.
Turkish translator of ReactOS.

middings
Posts: 1009
Joined: Tue May 07, 2013 9:18 pm
Location: California, USA

Re: [SOLVED] RosBE 2.1.1 can't install on Linux Mint 17.1

Post by middings » Mon Feb 23, 2015 1:13 pm

eersoy93, please tell us how you solved this problem.

eersoy93
Posts: 289
Joined: Mon Mar 19, 2012 11:24 pm
Location: Turkey
Contact:

Re: [SOLVED] RosBE 2.1.1 can't install on Linux Mint 17.1

Post by eersoy93 » Thu Feb 26, 2015 11:20 am

By installing zlib1g-dev package.
Turkish translator of ReactOS.

Post Reply

Who is online

Users browsing this forum: DotBot [Crawler] and 5 guests